Developing # 449 (Открыта): Simulations

Testing simulation based on 7H experiment

04/01/2020 12:35 AM - Vratislav Chudoba

Status: Открыта Start date: 02/07/2020

Priority: Нормальный Due date:  

Assignee: Софья Рымжанова % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Take a working macros for simulation for EXP1904. It may be found in

expertroot/macro/EXP1904_H7/sim

 

branch

dev

 

Step by step employ following changes:

1. move the four side telescopes in the front of the target to distance used for annular telescope for registration of a proton;

2. modify a central telescopes to thicnkess used in the experiment; at this step, two layers of silicon detectors may be used;

change distance of the central telescope;

3. introduce the reaction 

8

He + t --> 

10

He + p with subsequent decay 

10

He --> 

8

He + n + n;

the decay occurs in the point of the reaction;

beam cross-section is infinitely small;

beam direction coincidences with the Z-axis in laboratory system;

4. reconstruct the 

10

He missing mass from proton under conditions:

only proton was registered in rear telescope;

beam energy and size is constant and known;

5. reconstruct the 

10

He missing mass from proton under condition that proton was registered in coincidence with 

8

He in central

telescope;

Provide results of steps mentioned above in individual comments.

History

#1 - 04/01/2020 12:35 AM - Vratislav Chudoba

- Parent task set to #449

#2 - 04/01/2020 04:28 PM - Vratislav Chudoba

- Assignee set to Софья Рымжанова

#3 - 05/14/2020 03:22 PM - Софья Рымжанова

- File sim_digi.C added

- File create_target_T_gas.C added

- File 10he_int-3030_short.dat added

1. Выполнены первые два пункта задачи со следующими изменениями:
p { margin-bottom: 0.1in; line-height: 115% }    

детекторная система состоит из квадратного двухстроннего кремниевого детектора (вместо кольцевого, стоит перед мишенью) и

шести одностронних кремниевых декторов (стоят после мишени);

p { margin-bottom: 0.1in; line-height: 115% }

изменен файл мишени: поставлен тритий вместо дейтерия;

изменен файл распада.

Приложенные файлы: sim_digi.C (детекторы), create_target_T_gas.C (мишень), 10he_int-3030_short.dat (файл распада).  p {

margin-bottom: 0.1in; line-height: 115%    

p { margin-bottom: 0.1in; line-height: 115% }  

#4 - 05/14/2020 03:28 PM - Софья Рымжанова

- File ER10Heto8HeEventHeader.cxx added

- File ER10Heto8HeEventHeader.h added

- File ERDecay10Heto8He.cxx added

- File ERDecay10Heto8He.h added

Для реализации третьего пункта на основе класса ERDecayEXP1811 написан новый класс ERDecay10Heto8He.

Класс ERDecay10Heto8He описывает реакцию 

8

He + t → 

10

He + p и распад

 10

He → 8He + n + n.

p { margin-bottom: 0.1in; line-height: 115% }  

#5 - 05/25/2020 06:26 PM - Софья Рымжанова

- File detector_geom_10he.png added

- File startYZ.png added

- File startXYZ_8he.png added

- File startYZ_e_gamma.png added

Возникла следующая проблема: пучок не взаимодействует с мишенью. Среди частиц в файле sim_digi.root есть только пучок 8Не,

электроны и гамма.

Электроны и гамма рождаются в TOF и MWPC, а так же на расстоянии 150 cм от мишени - тогда как заданная мной геометрия отстоит от

мишени максимум на 30 см.

#6 - 05/25/2020 10:10 PM - Софья Рымжанова

- File QTelescopeParts_10he.xml added
Files

sim_digi.C 11.3 KB 05/14/2020 Софья Рымжанова

create_target_T_gas.C 9.6 KB 05/14/2020 Софья Рымжанова

10he_int-3030_short.dat 1.97 KB 05/14/2020 Софья Рымжанова

ER10Heto8HeEventHeader.cxx 1.25 KB 05/14/2020 Софья Рымжанова

ER10Heto8HeEventHeader.h 1.35 KB 05/14/2020 Софья Рымжанова

ERDecay10Heto8He.cxx 17 KB 05/14/2020 Софья Рымжанова

ERDecay10Heto8He.h 3.44 KB 05/14/2020 Софья Рымжанова

detector_geom_10he.png 122 KB 05/25/2020 Софья Рымжанова

startYZ.png 10 KB 05/25/2020 Софья Рымжанова

startXYZ_8he.png 19.2 KB 05/25/2020 Софья Рымжанова

startYZ_e_gamma.png 12.1 KB 05/25/2020 Софья Рымжанова

QTelescopeParts_10he.xml 3.04 KB 05/25/2020 Софья Рымжанова
